POST V1/FundingStatements.{ext}/RejectOBF

In case you feel that a transaction in any Daily Outbound File is not valid and needs to be rejected. Manditory Fields : 1) OBF Level Rejection : OBFId,OBFDetailId,Comments,BillId,TransactionId and Action should be OBF 2) FS Level Rejection : FSId,FSDetailId,Comments,BillId,TransactionId and Action should be FS

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

Common entity to reject FS or OBf.

EMS.Payments.Entities.RejectObfDetails
NameDescriptionTypeAdditional information
Action

Action to reject transactions(OBF/FS)

string

None.

RejectObfDetailList

List of OBF transactio to reject

Collection of EMS.Payments.Entities.RejectObfDetail

None.

Request Formats

application/json, text/json

Sample:
{
  "action": "sample string 1",
  "rejectObfDetailList": [
    {
      "obfId": 1,
      "obfDetId": 2,
      "fsId": 3,
      "fsDetailId": 4,
      "billId": 5,
      "transactionId": "sample string 6",
      "comments": "sample string 7",
      "siteGroup": "sample string 8",
      "currency": "sample string 9",
      "paymentMethod": "sample string 10"
    },
    {
      "obfId": 1,
      "obfDetId": 2,
      "fsId": 3,
      "fsDetailId": 4,
      "billId": 5,
      "transactionId": "sample string 6",
      "comments": "sample string 7",
      "siteGroup": "sample string 8",
      "currency": "sample string 9",
      "paymentMethod": "sample string 10"
    }
  ]
}

application/xml, text/xml

Sample:
<RejectObfDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Payments.Entities">
  <Action>sample string 1</Action>
  <RejectObfDetailList>
    <RejectObfDetail>
      <BillId>5</BillId>
      <Comments>sample string 7</Comments>
      <Currency>sample string 9</Currency>
      <FSDetailId>4</FSDetailId>
      <FSId>3</FSId>
      <OBFDetId>2</OBFDetId>
      <OBFId>1</OBFId>
      <PaymentMethod>sample string 10</PaymentMethod>
      <SiteGroup>sample string 8</SiteGroup>
      <TransactionId>sample string 6</TransactionId>
    </RejectObfDetail>
    <RejectObfDetail>
      <BillId>5</BillId>
      <Comments>sample string 7</Comments>
      <Currency>sample string 9</Currency>
      <FSDetailId>4</FSDetailId>
      <FSId>3</FSId>
      <OBFDetId>2</OBFDetId>
      <OBFId>1</OBFId>
      <PaymentMethod>sample string 10</PaymentMethod>
      <SiteGroup>sample string 8</SiteGroup>
      <TransactionId>sample string 6</TransactionId>
    </RejectObfDetail>
  </RejectObfDetailList>
</RejectObfDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

Whether funding statement or Out bound file is rejected or not in transaction result entity.

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.